{if !empty($cHinweis)}<div class="alert alert-success">{$cHinweis}</div>{/if}
{if !empty($cError)}<div class="alert alert-danger">{$cError}</div>{/if}

<form method="post" data-io="{$cssPlugin->getAdminIOLink()}" data-session="{$smarty.session.jtl_token}">
    {$jtl_token}
{if !empty($kPlugin)}<input type="hidden" name="kPlugin" value="{$kPlugin}"/>{/if}
    {if !empty($kPluginAdminMenu)}<input type="hidden" name="kPluginAdminMenu" value="{$kPluginAdminMenu}"/>{/if}


    <input type="hidden" name="cssAdminConfigAction" value="saveConfig" />

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Plugin Konfiguration')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Das Plugin ist')}</span>
            </div>
            <select id="pluginActive" name="pluginActive" class="form-control">
                <Option {if $pluginConfig->pluginActive=='Y'} selected {/if} value="Y">{__('Aktiviert')}</Option>
                <Option {if $pluginConfig->pluginActive=='N'} selected {/if} value="N">{__('Deaktiviert')}</Option>
            </select>
            <div class="input-group-append" data-section="active">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen Sie fest ob das Plugin aktiv ist.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <!-- ab hier kommen die individuellen Einstellungen -->
    </fieldset>
    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Cookie Konfiguration')}</legend>
        <div class="alert alert-warning">
            <p style="margin:0; padding:0.5rem">Bitte beachten Sie, wenn Sie den Cookienamen im laufenden Betrieb &auml;ndern, gehen alle aktiven Cookies der Besucher verloren.</p>
        </div>
        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Cookie Livetime x Tage')}</span>
            </div>
            <input type="text" name="maxLifeTime" class="form-control "
                   value="{if !empty($pluginConfig->maxLifeTime)}{$pluginConfig->maxLifeTime}{else}{/if}" placeholder="{__('z.B. 365')}">
            <div class="input-group-append" data-section="maxLifeTime">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben den Wert in Tagen an).')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Cookie Name')}</span>
            </div>
            <input type="text" name="cookieName" class="form-control "
                   value="{if !empty($pluginConfig->cookieName)}{$pluginConfig->cookieName}{else}{/if}" placeholder="{__('z.B.: css_vip')}">
            <div class="input-group-append" data-section="cookieName">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie einen Namen ein, der dazu dient, dass der User wiedererkannt wird.)')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Checkbox default')}</span>
            </div>
            <select id="checkboxChecked" name="checkboxChecked" class="form-control">
                <Option {if $pluginConfig->checkboxChecked=='Y'} selected {/if} value="Y">{__('aktiv')}</Option>
                <Option {if $pluginConfig->checkboxChecked=='N'} selected {/if} value="N">{__('inaktiv')}</Option>
            </select>
            <div class="input-group-append" data-section="checkboxChecked">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('W&auml;hlen  Sie ob die Checkbox zum speichern vorausgew&auml;hlt sein soll.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

    </fieldset>

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Passwörter der Kundengruppen')}</legend>
        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Unterscheidung von Groß- / Kleinschreibung')}</span>
            </div>
            <select id="nonCaseSensitive" name="nonCaseSensitive" class="form-control">
                <Option {if $pluginConfig->nonCaseSensitive=='Y'} selected {/if} value="Y">{__('Aktiviert')}</Option>
                <Option {if $pluginConfig->nonCaseSensitive=='N'} selected {/if} value="N">{__('Deaktiviert')}</Option>
            </select>
            <div class="input-group-append" data-section="nonCaseSensitive">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen Sie fest ob auf die Groß- und Kleinschrreibunggeachtet werden soll.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        {foreach from=$pluginConfig->kundengruppen item=kundengruppe name="kundengruppen"}
            <div class="input-group mb-3">
                <div class="input-group-prepend">
                    <span class="input-group-text"
                          style="width:200px; white-space:normal; text-align:left">
                        {$kundengruppe->cName}
                    </span>
                </div>
                <div class="input-group-prepend days">
                    <input type="text" name="kundengruppe[{$kundengruppe->kKundengruppe}]" class="form-control "
                           value="{if !empty($pluginConfig->kundengruppe[$kundengruppe->kKundengruppe])}{$pluginConfig->kundengruppe[$kundengruppe->kKundengruppe]}{/if}"
                           placeholder="{__('Bitte geben Sie einen Zugangscode ein')}">
                </div>
                <div class="input-group-prepend days">
                    <input type="text" name="weiterleitung[{$kundengruppe->kKundengruppe}]" class="form-control "
                           value="{if isset($pluginConfig->weiterleitung[$kundengruppe->kKundengruppe])}{$pluginConfig->weiterleitung[$kundengruppe->kKundengruppe]}{else}{/if}"
                           placeholder="{__('Weiterleitung URL')}">
                </div>

                <div class="input-group-append"  data-section="weiterleitung">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie einen Zugangscode und wenn gewünscht, eine weiterleitungs URL ein.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
                </div>
            </div>
        {/foreach}

    </fieldset>

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Konfiguration')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Nur diese Kundengruppen k&ouml;nnen in den VIP Bereich wechseln')}</span>
            </div>
            <div class="col-xs col-sd col-md" style="padding:0; border-radius:0;">
                <select id="groupCanChange" name="groupCanChange[]" class=" select2 custom-select" style="border-radius:0;" multiple>
                    {foreach from=$pluginConfig->kundengruppen item=kundengruppe name="kundengruppen"}
                        <Option {if is_array($pluginConfig->groupCanChange) && isset($pluginConfig->groupCanChange) && in_array($kundengruppe->kKundengruppe,$pluginConfig->groupCanChange) } selected {/if} value="{$kundengruppe->kKundengruppe}">{$kundengruppe->cName}</Option>
                    {/foreach}
                </select></div>
            <div class="input-group-append"  data-section="groupCanChange">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Nur die aktivierten Kundengruppen bekommen die M&ouml;glichkeit in den VIP Bereich zu wechseln.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>



        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Kunde behält die VIP Gruppe nach einem Login oder einer Registration dauerhaft')}</span>
            </div>
            <select id="changeGroupInDb" name="changeGroupInDb" class="form-control">
                <Option {if !isset($pluginConfig->changeGroupInDb) || $pluginConfig->changeGroupInDb=='N' } selected {/if} value="N">Nein</Option>
                <Option {if isset($pluginConfig->changeGroupInDb) && $pluginConfig->changeGroupInDb=='Y'} selected {/if} value="Y">Ja</Option>
            </select>
            <div class="input-group-append" data-section="changeGroupInDb">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Ist diese Einstellung aktiv, dann bekommen Kunden die sich neu registrieren, sowie angemeldete Kunden diese Kundengruppe dauerhaft.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Kundengruppen deren Gruppe nach einem Login nicht ver&auml;ndert werden d&uuml;rfen')}</span>
            </div>
            <div class="col-xs col-sd col-md" style="padding:0; border-radius:0;">
                <select id="access" name="groupNoChange[]" class=" select2 custom-select" style="border-radius:0;" multiple>
                    {foreach from=$pluginConfig->kundengruppen item=kundengruppe name="kundengruppen"}
                        <Option {if is_array($pluginConfig->groupNoChange) && isset($pluginConfig->groupNoChange) && in_array($kundengruppe->kKundengruppe,$pluginConfig->groupNoChange) } selected {/if} value="{$kundengruppe->kKundengruppe}">{$kundengruppe->cName}</Option>
                    {/foreach}
                </select></div>
            <div class="input-group-append"  data-section="groupNoChange">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Kundengruppen die nach einem Login nicht ver&auml;ndert werden d&uuml;rfen.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Automatische Umschaltung auch bei erkannter Kampange')}</span>
            </div>
            <select id="switchIfKampagne" name="switchIfKampagne" class="form-control">
                <Option {if $pluginConfig->switchIfKampagne=='N'} selected {/if} value="N">Nein</Option>
                <Option {if $pluginConfig->switchIfKampagne=='Y' } selected {/if} value="Y">Ja</Option>
            </select>
            <div class="input-group-append" data-section="switchIfKampagne">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Beachtet auch Kampagnen.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Info Anzeigen wenn der User bereits in einem VIP Bereich ist.')}</span>
            </div>
            <select id="showIfVipGroup" name="showIfVipGroup" class="form-control">
                <Option {if $pluginConfig->showIfVipGroup=='N'} selected {/if} value="N">Nein</Option>
                <Option {if $pluginConfig->showIfVipGroup=='Y' } selected {/if} value="Y">Ja</Option>
            </select>
            <div class="input-group-append" data-section="showIfVipGroup">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Zeigt eine Information an wenn der Kunde sich in einer Gruppe befindet die zugang zum VIP Bereich hat.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
    </fieldset>


    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Template Konfiguration')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Template Framework')}</span>
            </div>
            <select id="framework" name="framework" class="form-control">
                <Option {if $pluginConfig->framework=='B3'} selected {/if} value="B3">{__('Bootstrap 3 (z.B. EVO)')}</Option>
                <Option {if $pluginConfig->framework=='B4'} selected {/if} value="B4">{__('Bootstrap 4 (z.B. NOVA)')}</Option>
                {if isset($bHasCustom)}
                    <Option {if $pluginConfig->framework=='custom'} selected {/if} value="custom">{__('Custom (Ihre eigene updatesichere Pluginmodifikation)')}</Option>
                {/if}
            </select>
            <div class="input-group-append" data-section="framework">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier geben Sie an, welches Framework Ihr Template nutzt, Wenn Sie es nicht wissen, fragen Sie bitte den Hersteller des Templates.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>



        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Selektor des Hinweises im Header oder an anderer Position')}</span>
            </div>
            <input type="text" name="headerSelector" class="form-control" value="{$pluginConfig->headerSelector}" placeholder="{__('header')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Selectoren fest.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Position des Hinweises anhand des Selectors')}</span>
            </div>
            <select id="headerPosition" name="headerPosition" class="form-control">
                <Option {if $pluginConfig->headerPosition=='off'} selected {/if} value="off">{__('Deaktiviert')}</Option>
                <Option {if $pluginConfig->headerPosition=='prepend'} selected {/if} value="prepend">{__('Am Anfang des Elements')}</Option>
                <Option {if $pluginConfig->headerPosition=='append'} selected {/if} value="append">{__('Am Ende des Elements')}</Option>
                <Option {if $pluginConfig->headerPosition=='before'} selected {/if} value="before" >{__('vor dem Element')}</Option>
                <Option {if $pluginConfig->headerPosition=='after'} selected {/if} value="after" >{__('Nach dem Element')}</Option>
                <Option {if $pluginConfig->headerPosition=='html'} selected {/if} value="html" >{__('Inhalt des Elements ersetzen')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Einfügemethode fest oder deaktivieren diese Option.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Selektor des Hinweises im Footer oder an anderer Position')}</span>
            </div>
            <input type="text" name="footerSelector" class="form-control" value="{$pluginConfig->footerSelector}" placeholder="{__('.product-offer >.price_wrapper')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Selectoren fest.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Position des Hinweises im Footer oder danach')}</span>
            </div>
            <select id="footerPosition" name="footerPosition" class="form-control">
                <Option {if $pluginConfig->footerPosition=='off'} selected {/if} value="off">{__('Deaktiviert')}</Option>
                <Option {if $pluginConfig->footerPosition=='prepend'} selected {/if} value="prepend">{__('Am Anfang des Elements')}</Option>
                <Option {if $pluginConfig->footerPosition=='append'} selected {/if} value="append">{__('Am Ende des Elements')}</Option>
                <Option {if $pluginConfig->footerPosition=='before'} selected {/if} value="before" >{__('vor dem Element')}</Option>
                <Option {if $pluginConfig->footerPosition=='after'} selected {/if} value="after" >{__('Nach dem Element')}</Option>
                <Option {if $pluginConfig->footerPosition=='html'} selected {/if} value="html" >{__('Inhalt des Elements ersetzen')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Einfügemethode fest oder deaktivieren diese Option.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

    </fieldset>


    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Konfiguration der Farben im Header (oder erste Position)')}</legend>

        <div class="input-group mb-3 colorpicker-element">
            <div class="input-group-prepend ">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">
                    {__('Textfarbe des Buttons im Header')}</span>
            </div>
            <input type="text" class="form-control"
                   name="headerButtonColor" value="{$pluginConfig->headerButtonColor}"  autocomplete="off">
            <span class="input-group-append">
                    <span class="input-group-text colorpicker-input-addon" data-original-title="" title="" tabindex="0">
                        <i style="background: {$pluginConfig->headerButtonColor}"></i>
                    </span>
                </span>
        </div>

        <div class="input-group mb-3 colorpicker-element">
            <div class="input-group-prepend ">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Hintergrundfarbe des Buttons im Header')}</span>
            </div>
            <input type="text" class="form-control colorpicker-input"
                   name="headerButtonBackground" value="{$pluginConfig->headerButtonBackground}"  autocomplete="off">
                <span class="input-group-append">
                    <span class="input-group-text colorpicker-input-addon" data-original-title="" title="" tabindex="0">
                        <i style="background: {$pluginConfig->headerButtonBackground}"></i>
                    </span>
                </span>
        </div>

        <div class="input-group mb-3 colorpicker-element">
            <div class="input-group-prepend ">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">
                    {__('Textfarbe des Buttons im Header (hover)')}</span>
            </div>
            <input type="text" class="form-control colorpicker-input"
                   name="headerButtonColorHover" value="{$pluginConfig->headerButtonColorHover}"  autocomplete="off">
            <span class="input-group-append">
                    <span class="input-group-text colorpicker-input-addon" data-original-title="" title="" tabindex="0">
                        <i style="background: {$pluginConfig->headerButtonColorHover}"></i>
                    </span>
                </span>
        </div>

        <div class="input-group mb-3 colorpicker-element">
            <div class="input-group-prepend ">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Hintergrundfarbe des Buttons im Header (hover)')}</span>
            </div>
            <input type="text" class="form-control colorpicker-input"
                   name="headerButtonBackgroundHover" value="{$pluginConfig->headerButtonBackgroundHover}"  autocomplete="off">
                <span class="input-group-append">
                    <span class="input-group-text colorpicker-input-addon" data-original-title="" title="" tabindex="0">
                        <i style="background: {$pluginConfig->headerButtonBackgroundHover}"></i>
                    </span>
                </span>
        </div>


        <div class="input-group mb-3 colorpicker-element">
            <div class="input-group-prepend ">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">
                    {__('Hintergrundfarbe des Banners im Header')}</span>
            </div>
            <input type="text" class="form-control colorpicker-input"
                   name="headerBannerBackground" value="{$pluginConfig->headerBannerBackground}"  autocomplete="off">
            <span class="input-group-append">
                    <span class="input-group-text colorpicker-input-addon" data-original-title="" title="" tabindex="0">
                        <i style="background: {$pluginConfig->headerBannerBackground}"></i>
                    </span>
                </span>
        </div>

        <div class="input-group mb-3 colorpicker-element">
            <div class="input-group-prepend ">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">
                    {__('Textfarbe des Banners im Header')}</span>
            </div>
            <input type="text" class="form-control colorpicker-input"
                   name="headerBannerColor" value="{$pluginConfig->headerBannerColor}"  autocomplete="off">
            <span class="input-group-append">
                    <span class="input-group-text colorpicker-input-addon" data-original-title="" title="" tabindex="0">
                        <i style="background: {$pluginConfig->headerBannerColor}"></i>
                    </span>
                </span>
        </div>


    </fieldset>

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Konfiguration der Farben im Footer (oder zweite Position)')}</legend>

        <div class="input-group mb-3 colorpicker-element">
            <div class="input-group-prepend ">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">
                    {__('Textfarbe des Buttons im Footer')}</span>
            </div>
            <input type="text" class="form-control"
                   name="footerButtonColor" value="{$pluginConfig->footerButtonColor}"  autocomplete="off">
            <span class="input-group-append">
                    <span class="input-group-text colorpicker-input-addon" data-original-title="" title="" tabindex="0">
                        <i style="background: {$pluginConfig->footerButtonColor}"></i>
                    </span>
                </span>
        </div>

        <div class="input-group mb-3 colorpicker-element">
            <div class="input-group-prepend ">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Hintergrundfarbe des Buttons im Footer')}</span>
            </div>
            <input type="text" class="form-control colorpicker-input"
                   name="footerButtonBackground" value="{$pluginConfig->footerButtonBackground}"  autocomplete="off">
                <span class="input-group-append">
                    <span class="input-group-text colorpicker-input-addon" data-original-title="" title="" tabindex="0">
                        <i style="background: {$pluginConfig->footerButtonBackground}"></i>
                    </span>
                </span>
        </div>

        <div class="input-group mb-3 colorpicker-element">
            <div class="input-group-prepend ">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">
                    {__('Textfarbe des Buttons im Footer (hover)')}</span>
            </div>
            <input type="text" class="form-control colorpicker-input"
                   name="footerButtonColorHover" value="{$pluginConfig->footerButtonColorHover}"  autocomplete="off">
            <span class="input-group-append">
                    <span class="input-group-text colorpicker-input-addon" data-original-title="" title="" tabindex="0">
                        <i style="background: {$pluginConfig->footerButtonColorHover}"></i>
                    </span>
                </span>
        </div>

        <div class="input-group mb-3 colorpicker-element">
            <div class="input-group-prepend ">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Hintergrundfarbe des Buttons im Footer (hover)')}</span>
            </div>
            <input type="text" class="form-control colorpicker-input"
                   name="footerButtonBackgroundHover" value="{$pluginConfig->footerButtonBackgroundHover}"  autocomplete="off">
                <span class="input-group-append">
                    <span class="input-group-text colorpicker-input-addon" data-original-title="" title="" tabindex="0">
                        <i style="background: {$pluginConfig->footerButtonBackgroundHover}"></i>
                    </span>
                </span>
        </div>


        <div class="input-group mb-3 colorpicker-element">
            <div class="input-group-prepend ">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">
                    {__('Hintergrundfarbe des Banners im Footer')}</span>
            </div>
            <input type="text" class="form-control colorpicker-input"
                   name="footerBannerBackground" value="{$pluginConfig->footerBannerBackground}"  autocomplete="off">
            <span class="input-group-append">
                    <span class="input-group-text colorpicker-input-addon" data-original-title="" title="" tabindex="0">
                        <i style="background: {$pluginConfig->footerBannerBackground}"></i>
                    </span>
                </span>
        </div>

        <div class="input-group mb-3 colorpicker-element">
            <div class="input-group-prepend ">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">
                    {__('Textfarbe des Banners im Footer')}</span>
            </div>
            <input type="text" class="form-control colorpicker-input"
                   name="footerBannerColor" value="{$pluginConfig->footerBannerColor}"  autocomplete="off">
            <span class="input-group-append">
                    <span class="input-group-text colorpicker-input-addon" data-original-title="" title="" tabindex="0">
                        <i style="background: {$pluginConfig->footerBannerColor}"></i>
                    </span>
                </span>
        </div>


    </fieldset>

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Zusätzliche Styles/ JavaScript')}</legend>



        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Styles')}</span>
            </div>
            <textarea data-editor='css' style="min-height:400px" id="css" class="form-control" name="css">{$pluginConfig->css}</textarea>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier k&ouml;nnen Sie je nach bedarf eigene Styles anlegen.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('JavaScript')}</span>
            </div>
            <textarea data-editor='javascript' style="min-height:400px" id="javaScript" class="form-control" name="js">{$pluginConfig->js}</textarea>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier k&ouml;nnen Sie je nach bedarf zusätzliches JavaScript anlegen.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


    </fieldset>

<div class="save-wrapper">
    <div class="ml-auto col-sm-6 col-xl-auto">
        <button name="a" type="submit" value="" class="btn btn-outline-primary btn-block save">
            <i class="fas fa-save"></i>&nbsp;{__('Konfiguration speichern')}
        </button>
    </div>
</div>
</form>

<script>
  $(function() {
    $('.colorpicker-element').colorpicker({
//      color: "transparent",
    });
  });
</script>