<div
	class="modal fade css-umsetzung css_bcs css_vip css-vip-modal"
	id="modal_css_vip"
	role="dialog"
	style="display: none;">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<h4 class="modal-title">{$oCSS_vip->getLocalization()->getTranslation('css_vip_modal_headline')}</h4>
			</div>
			<div class="modal-body">
				<div class="input-group css-VipPassword">
					<span class="input-group-addon"> <label for="vipPassword">{$oCSS_vip->getLocalization()->getTranslation('css_portal_label')}</label></span> <span class="input-group-wrap"> <input
						name="vipPassword"
						id="vipPassword"
						placeholder="{$oCSS_vip->getLocalization()->getTranslation('css_portal_placeholder')}"
						class="form-control"
						value="">
					</span>
				</div>

				<p>{$oCSS_vip->getLocalization()->getTranslation('css_vip_modal_info')}</p>
				<p>{$oCSS_vip->getLocalization()->getTranslation('css_vip_modal_extra')}</p>
				<p class="text-center">
					<button
						class="btn btn-primary"
						data-io="{$oCSS_vipPlugin->getShopIoLink()}"
						data-token="{$smarty.session.jtl_token}"
						data-action="switch-vip">{$oCSS_vip->getLocalization()->getTranslation('css_portal_submit')}</button>
					<button
						type="button"
						class="btn btn-default"
						data-dismiss="modal">{$oCSS_vip->getLocalization()->getTranslation('css_portal_cancel')}</button>
				</p>
				<hr>

				<div class="row">
					<div class="col-xs-3 col-sm-2" >
						<div class="material-switch pull-right">
							<input
								id="vipCheckbox"
								name="SaveCookie"
								type="checkbox"
								value="Y"
								{if $css_vip_config->checkboxChecked=='Y'} checked {/if} > <label
								for="vipCheckbox"
								class="label-success"></label>
						</div>
					</div>
					<div class="col-xs-9 col-sm-10">{$oCSS_vip->getLocalization()->getTranslation('css_vip_cookie_info')}</div>
				</div>

			</div>
		</div>
	</div>
{literal}
	<style>
	.css-vip-modal .material-switch > input[type="checkbox"] {
		display: none;
	}

	.css-vip-modal .material-switch > label {
		cursor: pointer;
		height: 0px;
		position: relative;
		width: 40px;
	}

	.css-vip-modal .input-group-addon label{
		margin: 0 1rem;
		font-weight:bold;
	}
	.css-vip-modal .input-group-wrap {
		flex:1 0 auto;
	}

	.css-vip-modal .input-group {
		position: relative;
		display: flex;
		flex-wrap: wrap;
		align-items: center;
		width: 100%;
		align-content: center;
		justify-content: space-between;
	}

	.css-vip-modal .material-switch > label::before {
		background: rgb(0, 0, 0);
		box-shadow: inset 0px 0px 10px rgba(0, 0, 0, 0.5);
		border-radius: 8px;
		content: '';
		height: 16px;
		margin-top: -8px;
		position:absolute;
		opacity: 0.3;
		transition: all 0.4s ease-in-out;
		width: 40px;
	}

	.css-vip-modal .material-switch>label:after {
		background: #605555  !important;
		border-radius: 16px;
		box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.3);
		content: '';
		height: 24px;
		left: -4px;
		margin-top: -8px;
		position: absolute;
		top: -4px;
		transition: all 0.3s ease-in-out;
		width: 24px;
	}

	.css-vip-modal .material-switch > input[type="checkbox"]:checked + label::before {
		opacity: 1;
		background: #0ec128 !important;
	}

	.css-vip-modal .material-switch > input[type="checkbox"]:checked + label::after {
		background: inherit;
		left: 20px;
	}

	.css-vip-modal .css-VipPassword {
		margin-bottom:15px;
	}

	.css-vip-modal .css_vip label {
		margin-bottom:0;
	}

</style>
{/literal}
</div>
