(function () {
    'use strict';

    var cssVIPAdminClass = function (options) {
        this.init(options);
    };

    cssVIPAdminClass.VERSION = '2.0.0';
    cssVIPAdminClass.DEFAULTS = { 
  			showDebug : true
    };

    cssVIPAdminClass.prototype = {

        constructor: cssVIPAdminClass,

        init: function (options) {
            this.options = $.extend({}, cssVIPAdminClass.DEFAULTS, options);
            var that = this;
						this.docu();
        },

        register: function(options) {
        	var that=this;
        	this.debug("ich starte cssVIPAdminClass.VERSION " +  this.__proto__.constructor.VERSION);
        },
        
        debug: function(s) {
        	if(this.options.showDebug) {
        		console.log(s);
        	}
        },

        _set: function(key,value) {
        	this.options.key = value;
        },

			docu: function() {
				var that = this;
				$(document).on("click", "[data-section]", function () {
					var data = "io=css_vip" + "&jtl_token=" + $(this).closest("form").data("session") + "&action=docu&section=" + $(this).data('section');
					var url = $(this).closest("form").data("io");
					that.post_data(url, data);
				});
			},

			post_data: function (url, data) {
        	var that = this;
			that.debug(url);
	      	jQuery.ajax({
					type: 'POST',
					url: url,
					data: data,
					showNoSuggestionNotice: true,
					dataType: 'json',
			    beforeSend: function(jqXHR) {
		        jqXHR.overrideMimeType('text/json;charset=iso-8859-1');
			    },
					success: function(data,responseText,jqXHR) {
						if( jqXHR.status == 204 ) {
							that.debug('sorry, here is nothing to do for me. (Token problem?)')
							return false;
						}
						if( jqXHR.status == 404 ) {
							that.debug('sorry, here is nothing to show you.')
							return false;
						}
						if( jqXHR.status == 403 ) {
							that.debug('sorry, this is no place for you.')
							return false;
						}
						//debug(data);
						if( data.script )	{
							eval(data.script);
						}
					},
					error: function() {
						that.debug('something is wrong....anything buggy?');
					},
					complete: function() {
					}
			});
		},
   };

    $.cssVIPAdmin = function(options) {
    	console.log("starte cssVIP");
    	$.cssVIPAdmin = new cssVIPAdminClass(options);
    	$.cssVIPAdmin.register();
    	return $.cssVIPAdmin;
    };
    $.cssVIPAdmin();
})(jQuery);


